Subject: bug#31968: 26.1.50; Allow to hide title bar on maximize (gtk/gnome/csd)

From: Carlos Pita <[email-masked]>
Date: Mon, 2 Jul 2018 11:28:05 -0300

>
>
> FWIW I donʼt see this under kwin (I do have focus-follows-mouse, which
> might be influencing it).
>

As I mentioned elsewhere the effects seems to be very WM dependent. The
pair maximize-undecorate / unmaximize-decorate works fine on Cinnamon (but
not every other combination or sequence), maybe also under Plasma, but I
wouldn't count on it to continue working after a new release except the
developers explicitly supported the ability to change decorations.